Name:       sound-plugin-hal-clovertrail
Summary:    Audio HAL plugin for clovertrail
Version:    0.1
Release:    1
Group:      System/Libraries
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.gz
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires: pkgconfig(mm-common)
BuildRequires: pkgconfig(mm-log)
BuildRequires: pkgconfig(mm-sound)
BuildRequires: pkgconfig(avsystem)
BuildRequires: pkgconfig(alsa)

%description
Audio HAL plugin package for clovertrail

%prep
%setup -q

%build
./autogen.sh
CFLAGS+=" -DEXPORT_API=\"__attribute__((visibility(\\\"default\\\")))\""; export CFLAGS
%configure --prefix=/usr
make %{?_smp_mflags}

%install
%make_install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%manifest sound-plugin-hal-clovertrail.manifest
%defattr(-,root,root,-)
%{_libdir}/libsoundpluginhalclv.so*
%{_libdir}/soundplugins/libsoundpluginhalclv.so
